Index: src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/services/auth.service.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -24,5 +24,4 @@
   public user: ApplicationUser | null = null;
   public oidcUser: User | null = null;
-  public selfUser: SelfUserResponse | null = null;
 
   constructor(private baseApi: BaseApiService) {
@@ -36,10 +35,4 @@
         user?.profile.isVerified
       );
-
-      this.selfUserDto().subscribe((selfUser) => {
-        if (selfUser) {
-          this.selfUser = selfUser;
-        }
-      });
     });
   }
@@ -93,12 +86,4 @@
         user.profile.isVerified
       );
-
-      if (!this.selfUser) {
-        this.selfUserDto().subscribe((selfUser) => {
-          if (selfUser) {
-            this.selfUser = selfUser;
-          }
-        });
-      }
     });
   }
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-facade.service.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -2,6 +2,6 @@
 import { Injectable } from '@angular/core';
 import { Action, Store } from '@ngrx/store';
-import { Observable, Subject } from 'rxjs';
-import { filter, map } from 'rxjs/operators';
+import { Observable, Subject, throwError } from 'rxjs';
+import { catchError, filter, map } from 'rxjs/operators';
 
 import {
@@ -9,8 +9,6 @@
   PreviewQuestionViewModel,
   QuestionStateViewModel,
-  SearchQuestionsQueryViewModel,
-  VoteType
+  SearchQuestionsQueryViewModel
 } from 'src/app/shared-app/models';
-import { AuthService } from '../services';
 import {
   EffectStartedWorking,
@@ -18,7 +16,5 @@
   GetPreviewQuestionsPopular,
   GetQuestionState,
-  GetSearchQuestions,
-  SetCorrectAnswer,
-  VoteAnswer
+  GetSearchQuestions
 } from './question-state/question.actions';
 import { questionStateQuery } from './question-state/question.selectors';
@@ -33,10 +29,18 @@
   effectWorking$: Observable<boolean | HttpErrorResponse>;
 
-  constructor(private store: Store<QuestionState>, private auth: AuthService) {
-    this.effectWorking$ = this.store.select(questionStateQuery.effectWorking).pipe(filter((effect) => effect !== null));
-  }
-
-  public currentQuestionOwnedByCurrentUser(): Observable<boolean> {
-    return this.getQuestion().pipe(map((question) => this.auth.selfUser?.student?.uid === question.student.uid));
+  constructor(private store: Store<QuestionState>) {
+    this.effectWorking$ = this.store.select(questionStateQuery.effectWorking).pipe(
+      filter((effect) => effect !== null),
+      map((effect) => {
+        if (effect instanceof HttpErrorResponse) {
+          throw effect;
+        } else {
+          return effect;
+        }
+      }),
+      catchError((err) => {
+        return throwError(err);
+      })
+    );
   }
 
@@ -77,12 +81,4 @@
   }
 
-  public setCorrectAnswer(questionUid: string, answerUid: string): void {
-    this.dispatchEffect(new SetCorrectAnswer(questionUid, answerUid));
-  }
-
-  public voteAnswer(answerUid: string, questionUid: string, voteType: VoteType): void {
-    this.dispatchEffect(new VoteAnswer(questionUid, answerUid, voteType));
-  }
-
   public fetchQuestion(questionUid: string): void {
     this.dispatchEffect(new GetQuestionState(questionUid));
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question-state.models.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -0,0 +1,74 @@
+export class QuestionStateResponse {
+  public uid!: string;
+  public title!: string;
+  public text!: string;
+  public createdOn!: moment.Moment;
+  public views!: number;
+  public lastActiveOn!: moment.Moment;
+  public studentResponse!: StudentQuestionStateResponse;
+  public answersResponse!: AnswerQuestionStateResponse[];
+  public categoriesResponse!: QuestionCategoryQuestionStateResponse[];
+  public teamResponse!: TeamQuestionStateResponse | null;
+}
+
+export class StudentQuestionStateResponse {
+  public uid!: string;
+  public index!: string;
+  public imageUrl!: string;
+  public reputation!: number;
+}
+
+export class TeamQuestionStateResponse {
+  public uid!: string;
+  public name!: string;
+}
+
+export class QuestionCategoryQuestionStateResponse {
+  public uid!: string;
+  public name!: string;
+}
+
+export class AnswerQuestionStateResponse {
+  public uid!: string;
+  public text!: string;
+  public correctAnswer!: boolean;
+  public createdOn!: moment.Moment;
+  public upvotesCount!: number;
+  public studentResponse!: AnswerStudentQuestionStateResponse;
+  public answerResponsesResponse!: AnswerResponseQuestionStateResponse[];
+}
+
+export class AnswerStudentQuestionStateResponse {
+  public uid!: string;
+  public index!: string;
+  public imageUrl!: string;
+  public reputation!: number;
+}
+
+export class AnswerResponseQuestionStateResponse {
+  public uid!: string;
+  public text!: string;
+  public createdOn!: moment.Moment;
+  public studentResponse!: AnswerResponseStudentQuestionStateResponse;
+}
+
+export class AnswerResponseStudentQuestionStateResponse {
+  public uid!: string;
+  public index!: string;
+  public imageUrl!: string;
+  public reputation!: number;
+}
+
+export class PreviewQuestionResponse {
+  public uid!: string;
+  public title!: string;
+  public createdOn!: moment.Moment;
+  public views!: number;
+  public answersCount!: number;
+  public categories!: PreviewQuestionCategoryResponse[];
+}
+
+export class PreviewQuestionCategoryResponse {
+  public uid!: string;
+  public text!: string;
+}
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.actions.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.actions.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.actions.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -2,17 +2,9 @@
 import { Action } from '@ngrx/store';
 
-import {
-  PreviewQuestionViewModel,
-  QuestionStateViewModel,
-  SearchQuestionsQueryViewModel,
-  VoteAnswerViewModel,
-  VoteType
-} from 'src/app/shared-app/models';
+import { PreviewQuestionViewModel, QuestionStateViewModel, SearchQuestionsQueryViewModel } from 'src/app/shared-app/models';
 
 export enum QuestionActionTypes {
   GetQuestionState = '[Question] Get state',
   GetQuestionStateSuccess = '[Question] Get state success',
-  SetCorrectAnswer = '[Question] Set Correct Answer',
-  SetCorrectAnswerSuccess = '[Question] Set Correct Answer success',
   GetPreviewQuestionsLatest = '[Question] Get preview questions Latest',
   GetPreviewQuestionsLatestSuccess = '[Question] Get preview questions Latest Success',
@@ -21,6 +13,4 @@
   GetSearchQuestions = '[Question] Get search questions',
   GetSearchQuestionsSuccess = '[Question] Get search questions Success',
-  VoteAnswer = '[Question] Vote answer',
-  VoteAnswerSuccess = '[Question] Vote answer Success',
   EffectStartedWorking = '[Question] Effect Started Working',
   EffectFinishedWorking = '[Question] Effect Finished Working',
@@ -38,16 +28,4 @@
 
   constructor(public payload: QuestionStateViewModel) {}
-}
-
-export class SetCorrectAnswer implements Action {
-  readonly type = QuestionActionTypes.SetCorrectAnswer;
-
-  constructor(public questionUid: string, public answerUid: string) {}
-}
-
-export class SetCorrectAnswerSuccess implements Action {
-  readonly type = QuestionActionTypes.SetCorrectAnswerSuccess;
-
-  constructor(public payload: string) {}
 }
 
@@ -88,16 +66,4 @@
 }
 
-export class VoteAnswer implements Action {
-  readonly type = QuestionActionTypes.VoteAnswer;
-
-  constructor(public questionUid: string, public answerUid: string, public voteType: VoteType) {}
-}
-
-export class VoteAnswerSuccess implements Action {
-  readonly type = QuestionActionTypes.VoteAnswerSuccess;
-
-  constructor(public payload: VoteAnswerViewModel) {}
-}
-
 export class EffectStartedWorking implements Action {
   readonly type = QuestionActionTypes.EffectStartedWorking;
@@ -123,6 +89,4 @@
   | GetPreviewQuestionsPopularSuccess
   | GetSearchQuestionsSuccess
-  | VoteAnswerSuccess
-  | SetCorrectAnswerSuccess
   | EffectStartedWorking
   | EffectFinishedWorking
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.effects.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.effects.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.effects.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,13 +1,11 @@
 import { Injectable } from '@angular/core';
 import { act, Actions, createEffect, ofType } from '@ngrx/effects';
-import { catchError, filter, mergeMap, switchMap, tap, withLatestFrom } from 'rxjs/operators';
+import { catchError, filter, mergeMap, switchMap, withLatestFrom } from 'rxjs/operators';
 import { PreviewQuestionsOrderEnum, SearchQuestionsQueryViewModel } from 'src/app/shared-app/models';
 import { TranslateFromJsonService } from 'src/app/shared-app/services';
 
 import { BaseApiService } from 'src/app/shared-app/services/base-api.service';
-import { NotificationService } from '../../services/notification.service';
 import { QuestionFacadeService } from '../question-facade.service';
-import { VoteAnswerRequest } from './question-state-request.models';
-import { PreviewQuestionResponse, QuestionStateResponse, VoteAnswerResponse } from './question-state-response.models';
+import { PreviewQuestionResponse, QuestionStateResponse } from './question-state.models';
 import {
   EffectFinishedWorking,
@@ -21,9 +19,5 @@
   GetSearchQuestions,
   GetSearchQuestionsSuccess,
-  QuestionActionTypes,
-  SetCorrectAnswer,
-  SetCorrectAnswerSuccess,
-  VoteAnswer,
-  VoteAnswerSuccess
+  QuestionActionTypes
 } from './question.actions';
 import { QuestionMapper } from './question.mapper';
@@ -37,6 +31,5 @@
     private api: BaseApiService,
     private translate: TranslateFromJsonService,
-    private facade: QuestionFacadeService,
-    private notification: NotificationService
+    private facade: QuestionFacadeService
   ) {}
 
@@ -110,30 +103,3 @@
     );
   });
-
-  voteAnswer$ = createEffect(() => {
-    return this.actions$.pipe(
-      ofType<VoteAnswer>(QuestionActionTypes.VoteAnswer),
-      mergeMap((action) => {
-        const body = new VoteAnswerRequest(action.voteType);
-        return this.api.post<VoteAnswerResponse>(`v1/questions/${action.questionUid}/answers/${action.answerUid}/votes`, body).pipe(
-          tap((state) => this.notification.successNotification('sucess-vote')),
-          switchMap((state) => [new VoteAnswerSuccess(QuestionMapper.ToVoteAnswerViewModel(state)), new EffectFinishedWorking()]),
-          catchError((err) => [new EffectFinishedWorkingError(err)])
-        );
-      })
-    );
-  });
-
-  setCorrectAnswer$ = createEffect(() => {
-    return this.actions$.pipe(
-      ofType<SetCorrectAnswer>(QuestionActionTypes.SetCorrectAnswer),
-      mergeMap((action) => {
-        return this.api.put<string>(`v1/questions/${action.questionUid}/answers/${action.answerUid}/correct`).pipe(
-          tap((state) => this.notification.successNotification('success-correct-answer')),
-          switchMap((state) => [new SetCorrectAnswerSuccess(state), new EffectFinishedWorking()]),
-          catchError((err) => [new EffectFinishedWorkingError(err)])
-        );
-      })
-    );
-  });
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.mapper.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -10,9 +10,8 @@
   QuestionStateViewModel,
   StudentQuestionStateViewModel,
-  TeamQuestionStateViewModel,
-  VoteAnswerViewModel
+  TeamQuestionStateViewModel
 } from 'src/app/shared-app/models';
 import { TranslateFromJsonService } from 'src/app/shared-app/services';
-import { PreviewQuestionResponse, QuestionStateResponse, VoteAnswerResponse } from './question-state-response.models';
+import { PreviewQuestionResponse, QuestionStateResponse } from './question-state.models';
 
 export class QuestionMapper {
@@ -52,5 +51,5 @@
           x.correctAnswer,
           moment(x.createdOn),
-          x.votesCount,
+          x.upvotesCount,
           answerStudent,
           answerResponses
@@ -114,7 +113,3 @@
     return questions;
   }
-
-  public static ToVoteAnswerViewModel(response: VoteAnswerResponse): VoteAnswerViewModel {
-    return new VoteAnswerViewModel(response.answerUid, response.voteUid, response.voteType);
-  }
 }
Index: src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.reducers.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.reducers.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/core/state/question-state/question.reducers.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,3 +1,2 @@
-import { AnswerQuestionStateViewModel, VoteType } from 'src/app/shared-app/models';
 import { QuestionAction, QuestionActionTypes } from './question.actions';
 import { initialState, QuestionState } from './question.state';
@@ -26,68 +25,4 @@
         searchQuestionsQuery: action.query
       };
-    case QuestionActionTypes.VoteAnswerSuccess: {
-      if (state.question) {
-        return {
-          ...state,
-          question: {
-            ...state.question,
-            answers: state.question.answers.map((x) => {
-              if (x.uid === action.payload.answerUid) {
-                let votesCountNew = x.votesCount;
-
-                switch (action.payload.voteType) {
-                  case VoteType.Upvote:
-                    votesCountNew++;
-                    break;
-                  case VoteType.Downvote:
-                    votesCountNew--;
-                    break;
-                }
-
-                return {
-                  ...x,
-                  votesCount: votesCountNew
-                };
-              }
-
-              return x;
-            })
-          }
-        };
-      }
-
-      return {
-        ...state
-      };
-    }
-    case QuestionActionTypes.SetCorrectAnswerSuccess: {
-      if (state.question) {
-        return {
-          ...state,
-          question: {
-            ...state.question,
-            answers: state.question.answers.map((x) => {
-              if (x.correctAnswer) {
-                return {
-                  ...x,
-                  correctAnswer: false
-                };
-              }
-              if (x.uid === action.payload) {
-                return {
-                  ...x,
-                  correctAnswer: true
-                };
-              }
-              return x;
-            })
-          }
-        };
-      }
-
-      return {
-        ...state
-      };
-    }
     case QuestionActionTypes.EffectStartedWorking: {
       return {
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/vote/vote.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/vote/vote.component.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/generic/vote/vote.component.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,5 +1,9 @@
 import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
-import { VoteType } from 'src/app/shared-app/models';
 import { ButtonType } from '../button/button.models';
+
+export enum VoteType {
+  Upvote,
+  Downvote
+}
 
 @Component({
@@ -10,8 +14,6 @@
 export class VoteComponent implements OnInit {
   @Input() voteCount: number | undefined;
-  @Input() canSetCorrectAnswer: boolean | null = false;
   @Input() correct = false;
   @Output() voteClicked = new EventEmitter<VoteType>();
-  @Output() setCorrectAnswer = new EventEmitter<void>();
 
   VoteType = VoteType;
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/components/question/question-preview/question-preview.component.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,8 +1,6 @@
-import { HttpErrorResponse } from '@angular/common/http';
 import { Component, OnInit } from '@angular/core';
-import { NotificationService } from 'src/app/core/services/notification.service';
 import { QuestionFacadeService } from 'src/app/core/state/question-facade.service';
 
-import { QuestionStateViewModel, VoteType } from 'src/app/shared-app/models';
+import { QuestionStateViewModel } from 'src/app/shared-app/models';
 import { ButtonType } from '../../generic/button/button.models';
 
@@ -13,9 +11,8 @@
 })
 export class QuestionPreviewComponent implements OnInit {
-  canSetCorrectAnswer = this.questionFacade.currentQuestionOwnedByCurrentUser();
   question!: QuestionStateViewModel;
   working = true;
   ButtonType = ButtonType;
-  constructor(private questionFacade: QuestionFacadeService, private notification: NotificationService) {}
+  constructor(private questionFacade: QuestionFacadeService) {}
 
   ngOnInit(): void {
@@ -24,18 +21,4 @@
       this.working = false;
     });
-
-    this.questionFacade.effectWorking$.subscribe((effect) => {
-      if (effect instanceof HttpErrorResponse) {
-        this.notification.handleErrorsNotification(effect.error);
-      }
-    });
-  }
-
-  answerVoted(voteType: VoteType, answerUid: string, questionUid: string): void {
-    this.questionFacade.voteAnswer(answerUid, questionUid, voteType);
-  }
-
-  setCorrectAnswer(questionUid: string, answerUid: string): void {
-    this.questionFacade.setCorrectAnswer(questionUid, answerUid);
   }
 }
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-enums.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-enums.models.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-enums.models.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -3,7 +3,2 @@
   Popular
 }
-
-export enum VoteType {
-  Upvote,
-  Downvote
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/question-state-view-models.models.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,4 +1,2 @@
-import { VoteType } from '.';
-
 export class QuestionStateViewModel {
   constructor(
@@ -34,5 +32,5 @@
     public correctAnswer: boolean,
     public createdOn: moment.Moment,
-    public votesCount: number,
+    public upvotesCount: number,
     public student: AnswerStudentQuestionStateViewModel,
     public answerResponses: AnswerResponseQuestionStateViewModel[]
@@ -75,6 +73,2 @@
   constructor(public text: string) {}
 }
-
-export class VoteAnswerViewModel {
-  constructor(public answerUid: string, public voteUid: string, public voteType: VoteType) {}
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/models/user.models.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/models/user.models.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/models/user.models.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -9,4 +9,8 @@
 }
 
+export class SelfUserResponse {
+  uid!: string;
+}
+
 export enum ApplicationUserType {
   Student = 'Student',
@@ -15,44 +19,2 @@
   Guest = 'Guest'
 }
-
-export class SelfUserResponse {
-  public student?: StudentSelfResponse | null;
-  public teacher?: TeacherSelfResponse | null;
-  public moderator?: ModeratorSelfResponse | null;
-}
-
-export class StudentSelfResponse {
-  public uid!: string;
-  public applicationUserId!: number;
-  public index!: string;
-  public reputation!: number;
-  public imageUrl!: string;
-  public questions!: StudentQuestionResponse[];
-  public teams!: StudentTeamResponse[];
-}
-
-export class StudentQuestionResponse {
-  public questionUid!: string;
-  public title!: string;
-}
-
-export class StudentTeamResponse {
-  public teamUid!: string;
-  public name!: string;
-}
-
-export class ModeratorSelfResponse {
-  public uid!: string;
-  public applicationUserId!: number;
-}
-
-export class TeacherSelfResponse {
-  public uid!: string;
-  public applicationUserId!: number;
-  public teams!: TeacherTeamResponse[];
-}
-
-export class TeacherTeamResponse {
-  public teamUid!: string;
-  public name!: string;
-}
Index: src/Clients/Angular/finki-chattery/src/app/shared-app/services/base-api.service.ts
===================================================================
--- src/Clients/Angular/finki-chattery/src/app/shared-app/services/base-api.service.ts	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/Clients/Angular/finki-chattery/src/app/shared-app/services/base-api.service.ts	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -19,5 +19,5 @@
 
   public getSelfUser(): Observable<SelfUserResponse> {
-    return this.get<SelfUserResponse>('v1/self');
+    return this.get<SelfUserResponse>('self');
   }
 
Index: src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Api/ApplicationServices/Questioning/Mapper/QuestionMapper.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -54,5 +54,5 @@
                     var answerStudent = new AnswerStudentQuestionStateResponse(x.StudentDto.Id, x.StudentDto.Uid, x.StudentDto.Index, x.StudentDto.ImageUrl, x.StudentDto.Reputation);
 
-                    return new AnswerQuestionStateResponse(x.Id, x.Uid, x.Text, x.CorrectAnswer, x.CreatedOn, x.VotesCount, answerStudent, answerResponses);
+                    return new AnswerQuestionStateResponse(x.Id, x.Uid, x.Text, x.CorrectAnswer, x.CreatedOn, x.UpvotesCount, answerStudent, answerResponses);
                 });
             }
Index: src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Api/Services/RegisterServices.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,4 +1,3 @@
 ﻿using FinkiChattery.Api.ApplicationServices.Authentication;
-using FinkiChattery.Api.ApplicationServices.Questioning.EventHandlers;
 using FinkiChattery.Api.Services;
 using FinkiChattery.Commands.Questioning;
@@ -32,5 +31,5 @@
             services.AddScoped<IEventService, EventService>();
             services.AddTransient(typeof(IPipelineBehavior<,>), typeof(ValidationBehavior<,>));
-            services.AddMediatR(typeof(AskQuestionCommand), typeof(GetQuestionStateQuery), typeof(UpdateAnswerVotesEventHandler));
+            services.AddMediatR(typeof(AskQuestionCommand), typeof(GetQuestionStateQuery));
         }
 
@@ -55,9 +54,4 @@
             });
             services.AddHangfireServer();
-
-            services.AddScoped<IBackgroundJobClient>(provider =>
-            {
-                return new BackgroundJobClient(JobStorage.Current);
-            });
         }
 
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/QuestioningErrorCodes.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/QuestioningErrorCodes.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/QuestioningErrorCodes.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -9,12 +9,4 @@
         public const string CategoriesDontExist = "CategoriesDontExist";
         public const string TeamDontExist = "TeamDontExist";
-        public const string AnswerAlreadyUpvoted = "AnswerAlreadyUpvoted";
-        public const string AnswerAlreadyDownvoted = "AnswerAlreadyDownvoted";
-        public const string StudentHasBadReputation = "StudentHasBadReputation"; 
-        public const string AnswerTextLengthInvalid = "AnswerTextLengthInvalid";
-        public const string QuestionNotFound = "QuestionNotFound";
-        public const string AnswerInQuestionNotFound = "AnswerInQuestionNotFound"; 
-        public const string StudentDoesNotOwnQuestion = "StudentDoesNotOwnQuestion";
-        public const string AnswerIsAlreadyMarkedAsCorrect = "AnswerIsAlreadyMarkedAsCorrect";
     }
 }
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/CategoriesUidsExist.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -1,3 +1,4 @@
-﻿using FinkiChattery.Persistence.UnitOfWork;
+﻿using FinkiChattery.Persistence.Repositories;
+using FinkiChattery.Persistence.UnitOfWork;
 using FluentValidation.Validators;
 using System;
Index: src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/QuestioningFluentValidationRules.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/QuestioningFluentValidationRules.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Commands/Questioning/Validators/QuestioningFluentValidationRules.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -16,9 +16,4 @@
         }
 
-        public static IRuleBuilderOptions<T, string> AnswerTextValidate<T>(this IRuleBuilder<T, string> ruleBuilder)
-        {
-            return ruleBuilder.NotNull().WithMessage(QuestioningErrorCodes.CantBeNull).MaximumLength(4000).WithMessage(QuestioningErrorCodes.AnswerTextLengthInvalid);
-        }
-
         public static IRuleBuilderOptions<T, IEnumerable<U>> ListNotNull<T, U>(this IRuleBuilder<T, IEnumerable<U>> ruleBuilder)
         {
Index: src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs
===================================================================
--- src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Contracts/Questioning/GetQuestionState/QuestionStateResponse.cs	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -89,5 +89,5 @@
     public class AnswerQuestionStateResponse
     {
-        public AnswerQuestionStateResponse(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long votesCount, AnswerStudentQuestionStateResponse studentResponse, IEnumerable<AnswerResponseQuestionStateResponse> answerResponsesResponse)
+        public AnswerQuestionStateResponse(long id, Guid uid, string text, bool correctAnswer, DateTime createdOn, long upvotesCount, AnswerStudentQuestionStateResponse studentResponse, IEnumerable<AnswerResponseQuestionStateResponse> answerResponsesResponse)
         {
             Id = id;
@@ -96,5 +96,5 @@
             CorrectAnswer = correctAnswer;
             CreatedOn = createdOn;
-            VotesCount = votesCount;
+            UpvotesCount = upvotesCount;
             StudentResponse = studentResponse;
             AnswerResponsesResponse = answerResponsesResponse;
@@ -107,5 +107,5 @@
         public bool CorrectAnswer { get; }
         public DateTime CreatedOn { get; }
-        public long VotesCount { get; }
+        public long UpvotesCount { get; }
         public AnswerStudentQuestionStateResponse StudentResponse { get; }
         public IEnumerable<AnswerResponseQuestionStateResponse> AnswerResponsesResponse { get; }
Index: src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj
===================================================================
--- src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 6901f8b9e6373705c4ebfc4799374f1e79f6d3e5)
+++ src/FinkiChattery/FinkiChattery.Database/FinkiChattery.Database.sqlproj	(revision 1e0d86905c02abe14201bf07ad5a2163900a5602)
@@ -75,5 +75,4 @@
     <Folder Include="dbo\Tables\QuestionCategory" />
     <Folder Include="Snapshots" />
-    <Folder Include="dbo\Tables\Vote" />
   </ItemGroup>
   <ItemGroup>
@@ -82,4 +81,5 @@
     <Build Include="dbo\Tables\StudentTeam.sql" />
     <Build Include="dbo\Tables\TeacherTeam.sql" />
+    <Build Include="dbo\Tables\Upvote.sql" />
     <Build Include="dbo\Tables\User\AspNetRoleClaims.sql" />
     <Build Include="dbo\Tables\User\AspNetRoles.sql" />
@@ -100,5 +100,4 @@
     <Build Include="dbo\Tables\QuestionCategory\QuestionCategory.sql" />
     <None Include="dbo\Tables\QuestionCategory\QuestionCategory.Debug.Seed.sql" />
-    <Build Include="dbo\Tables\Vote\Vote.sql" />
   </ItemGroup>
   <ItemGroup>
